# Station Window

## GET /station-window

>

```json
{"openapi":"3.1.0","info":{"title":"Busroot HTTP APIs","version":"1.0.0"},"servers":[{"url":"https://demo.busroot.com/api","description":"Busroot Demo"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}},"schemas":{"StationWindow":{"type":"object","properties":{"stationCode":{"type":"string","description":"A code that uniquely identifies this station within this account."},"windowStartAt":{"type":"string","description":"The start time of this window in ISO 8601 format."},"windowEndAt":{"type":"string","description":"The end time of this window in ISO 8601 format."},"totalMs":{"type":"number","description":"The total number milliseconds covered by this window. Shortcut for windowEndAt - windowStartAt."},"shiftMs":{"type":"number","description":"The number of milliseconds that were in shift."},"scheduledProductionMs":{"type":"number","description":"The number of milliseconds that were scheduled production."},"scheduledNonProductionMs":{"type":"number","description":"The number of milliseconds that were scheduled non-production."},"productiveMs":{"type":"number","description":"The number of milliseconds that the station was in a productive state."},"downtimeMs":{"type":"number","description":"The number of milliseconds that the station was in downtime."},"downtimeSince":{"type":"string","description":"The time this downtime started, in ISO 8601 format."},"rssiAvg":{"type":"number","description":"The received signal strength of the wireless device. -70dBm to -80dBm is good. <-90dBm is bad."},"productionGoodCount":{"type":"number","description":"The number of good quality units produced."},"productionBadCount":{"type":"number","description":"The number of bad quality units produced."},"productionIdealCount":{"type":"number","description":"The number of production units that should have been produced according to the SKU/part's cycle-time. WITH consideration for downtime."},"productionTargetCount":{"type":"number","description":"The number of production units that should have been produced according to the SKU/part's cycle-time. WITHOUT consideration for downtime."},"speed":{"type":"number","description":"The average line speed. Line speed is an arbitrary value that relates to this station's manufacturing process. i.e. Motor RPM."},"isAlive":{"type":"boolean","description":"A boolean value indicating if any signal was recieved from this station. Useful for detemining if the device has been disconnected from the network."},"electricalVoltsAvg":{"type":"number","description":"The average voltage of the electrical supply."},"electricalAmpsAvg":{"type":"number","description":"The average current draw."},"electricalHzAvg":{"type":"number","description":"The average frequency of the electrical supply."},"electricalPfAvg":{"type":"number","description":"The average Power Factor."},"electricalKwAvg":{"type":"number","description":"The average power used."},"electricalKwh":{"type":"number","description":"The total energy consumed."},"statusCode":{"type":"string","description":""},"electricalCost":{"type":"number","description":"The cost of the electricity used."},"costCurrency":{"type":"string","description":"The currency of any costs."},"electricalCo2":{"type":"number","description":"The amount of CO2 associated with the electricity used."},"workOrderReference":{"type":"string","description":"The work order reference of the current schedule."},"lostProductionCostNonProduction":{"type":"number","description":"The cost of the time lost to scheduled non-production."},"lostProductionCostDowntime":{"type":"number","description":"The cost of the time lost to downtime."},"lostProductionCostSpeed":{"type":"number","description":"The cost of the shortfall units lost due to under performance."},"lostProductionCostQuality":{"type":"number","description":"The cost of the bad quality units produced."},"performanceModeFrom":{"type":"string","description":""},"performanceModeType":{"type":"string","description":""},"productionGoodValue":{"type":"number","description":"The value of the good quality units produced."},"productionBadValue":{"type":"number","description":"The value of the bad quality units produced."},"stationName":{"type":"string","description":"The name of the station."},"scheduleIds":{"type":"array","items":{"type":"number"},"description":"The IDs of the schedules that ran."},"errorCodes":{"type":"array","items":{"type":"string"},"description":"The error codes that were flagged."},"downtimeIds":{"type":"array","items":{"type":"number"},"description":"The IDs of the downtimes that occured."},"downtimeReasonCodes":{"type":"array","items":{"type":"string"},"description":"The reason codes of the downtimes that occured."},"nonProductionReasonCodes":{"type":"array","items":{"type":"string"},"description":"The reason codes for the non-production schedules that ran."},"windowStartAtTimestamp":{"type":"number","description":"The start time of this window as a UNIX timestamp."},"windowEndAtTimestamp":{"type":"number","description":"The end time of this window as a UNIX timestamp."},"isFuture":{"type":"boolean","description":"A boolean value indicating if this is a placeholder station window for future time."},"skuName":{"type":"string","description":"The name of the SKU from the current schedule."},"skuCodes":{"type":"array","items":{"type":"string"},"description":"The code of the SKUs from the schedules that ran."},"skuGroupCodes":{"type":"array","items":{"type":"string"},"description":"The code of the SKU Groups from the schedules that ran."},"lostProductionCostTotal":{"type":"number","description":"The total cost of lost production output."},"productionTotalCount":{"type":"number","description":"The total number of units produced, both good and bad."},"productionRatePerHour":{"type":"number","description":"The average rate of production in units per hour."},"productionRatePerHourIdeal":{"type":"number","description":"The ideal rate of production in units per hour."},"productionMs":{"type":"number","description":"The number of milliseconds of actual production achieved (production count * ideal cycle time)."},"nonProductionReasonNames":{"type":"array","items":{"type":"string"}}},"required":["windowStartAt","windowEndAt","totalMs","isAlive","windowStartAtTimestamp","windowEndAtTimestamp"]}}},"paths":{"/station-window":{"get":{"tags":["Station Window"],"parameters":[{"in":"query","name":"plantcode","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"rangecode","schema":{"type":"string"},"required":true},{"in":"query","name":"aggregatewindow","schema":{"type":"string"}},{"in":"query","name":"stationcodes","description":"Comma-separated list of Station Codes.","schema":{"type":"string","description":"Comma-separated list of Station Codes."}},{"in":"query","name":"skucodes","description":"Comma-separated list of SKU Codes.","schema":{"type":"string","description":"Comma-separated list of SKU Codes."}}],"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"results":{"type":"array","items":{"type":"object","properties":{"stationCode":{"type":"string"},"stationName":{"type":"string"},"stationGroupCode":{"type":"string"},"stationGroupName":{"type":"string"},"windows":{"type":"array","items":{"$ref":"#/components/schemas/StationWindow"}},"reliabilityData":{"type":"object","properties":{"runningsCount":{"type":"number"},"stopsCount":{"type":"number"},"totalRunningTime":{"type":"number"},"totalStoppedTime":{"type":"number"}},"required":["runningsCount","stopsCount","totalRunningTime","totalStoppedTime"]},"cycleTimeAnalysis":{"type":"object","properties":{"avg":{"type":"number"},"min":{"type":"number"},"max":{"type":"number"},"quantity":{"type":"number"},"default":{"type":"number"},"stations":{"type":"array","items":{"type":"object","properties":{"stationCode":{"type":"string"},"stationName":{"type":"string"},"avg":{"type":"number"},"min":{"type":"number"},"max":{"type":"number"},"quantity":{"type":"number"}},"required":["stationCode","stationName","avg","min","max","quantity"]}}},"required":["avg","min","max","quantity","stations"]},"oee":{"type":"object","properties":{"scheduleMs":{"type":"number","description":"The number of milliseconds spent on any schedule."},"scheduleLossMs":{"type":"number","description":"The number of milliseconds lost to unscheduled time in shift."},"schedulePerc":{"type":"number","description":"The ratio of scheduled to unscheduled time."},"productionScheduleMs":{"type":"number","description":"The number of milliseconds spent in a production schedule."},"productionScheduleLossMs":{"type":"number","description":"The number of milliseconds lost to non-production schedules."},"productionSchedulePerc":{"type":"number","description":"The ratio of production to non-production scheduled time."},"availabilityMs":{"type":"number","description":"The number of milliseconds spent running."},"availabilityLossMs":{"type":"number","description":"The number of milliseconds spend stopped."},"availabilityPerc":{"type":"number","description":"The ratio of running to stopped time aka OEE Availability."},"performanceMs":{"type":"number","description":"The number of milliseconds spend producing under ideal circumstances (production count * ideal cycle time)."},"performanceLossMs":{"type":"number","description":"The number of milliseconds lost to under-production vs ideal cycle times."},"performancePerc":{"type":"number","description":"OEE Performance."},"goodQualityCount":{"type":"number","description":"The number of good quality units produced."},"goodQualityLossCount":{"type":"number","description":"The number of bad quality units produced."},"goodQualityPerc":{"type":"number","description":"The ratio of good units to bad units aka OEE Quality."},"scheduledNonProduction":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"description":{"type":"string"},"duration":{"type":"number"},"cost":{"type":"number"},"percent":{"type":"number"},"energy":{"type":"number"},"energyCost":{"type":"number"}},"required":["code","description","duration","cost","percent","energy","energyCost"]}},"stops":{"type":"array","items":{"type":"object","properties":{"code":{"type":"string"},"description":{"type":"string"},"duration":{"type":"number"},"cost":{"type":"number"},"percent":{"type":"number"},"energy":{"type":"number"},"energyCost":{"type":"number"}},"required":["code","description","duration","cost","percent","energy","energyCost"]}},"oee":{"type":"number"}},"required":["scheduleMs","scheduleLossMs","schedulePerc","productionScheduleMs","productionScheduleLossMs","productionSchedulePerc","availabilityMs","availabilityLossMs","availabilityPerc","performanceMs","performanceLossMs","performancePerc","goodQualityCount","goodQualityLossCount","goodQualityPerc","scheduledNonProduction","stops","oee"]},"nominal":{"type":"object","properties":{"electricalPowerNominalKw":{"type":"number"}},"required":["electricalPowerNominalKw"]}},"required":["stationCode","stationName","stationGroupCode","stationGroupName","windows","reliabilityData","oee","nominal"]}},"range":{"type":"object","properties":{"from":{"type":"number"},"to":{"type":"number"},"duration":{"type":"number"},"fromIso":{"type":"string"},"toIso":{"type":"string"},"durationFormatted":{"type":"string"}},"required":["from","to","duration","fromIso","toIso","durationFormatted"]}},"required":["isSuccess","results","range"]}}}},"400":{"description":"Bad Request - The server could not process the request due to invalid input, missing required parameters, or malformed syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"invalidInput"},"errorMessage":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"issue":{"type":"string"}},"required":["field","issue"]}}},"required":["isSuccess","errorCode"]}}}},"401":{"description":"Unauthorized - Authentication is missing or invalid. Ensure you provide a valid token or credentials to access this resource.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"unauthorizedUser"}},"required":["isSuccess","errorCode"]}}}},"403":{"description":"Forbidden - You are authenticated but do not have permission to perform this action. Contact the administrator if you believe this is an error.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"forbidden"},"errorMessage":{"type":"string"}},"required":["isSuccess","errorCode","errorMessage"]}}}},"409":{"description":"Conflict - The request could not be completed due to a conflict with the current state of the resource, such as a duplicate record or a versioning issue.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"conflict"},"errorMessage":{"type":"string"}},"required":["isSuccess","errorCode","errorMessage"]}}}},"500":{"description":"Internal Server Error - An unexpected error occurred on the server. Please try again later or contact support if the issue persists.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"internalServerError"},"errorMessage":{"type":"string"}},"required":["isSuccess","errorCode","errorMessage"]}}}}}}}}}
```

## GET /station-window/sku

>

```json
{"openapi":"3.1.0","info":{"title":"Busroot HTTP APIs","version":"1.0.0"},"servers":[{"url":"https://demo.busroot.com/api","description":"Busroot Demo"}],"security":[{"ApiKeyAuth":[]}],"components":{"securitySchemes":{"ApiKeyAuth":{"type":"apiKey","in":"header","name":"X-API-KEY"}},"schemas":{"StationWindow":{"type":"object","properties":{"stationCode":{"type":"string","description":"A code that uniquely identifies this station within this account."},"windowStartAt":{"type":"string","description":"The start time of this window in ISO 8601 format."},"windowEndAt":{"type":"string","description":"The end time of this window in ISO 8601 format."},"totalMs":{"type":"number","description":"The total number milliseconds covered by this window. Shortcut for windowEndAt - windowStartAt."},"shiftMs":{"type":"number","description":"The number of milliseconds that were in shift."},"scheduledProductionMs":{"type":"number","description":"The number of milliseconds that were scheduled production."},"scheduledNonProductionMs":{"type":"number","description":"The number of milliseconds that were scheduled non-production."},"productiveMs":{"type":"number","description":"The number of milliseconds that the station was in a productive state."},"downtimeMs":{"type":"number","description":"The number of milliseconds that the station was in downtime."},"downtimeSince":{"type":"string","description":"The time this downtime started, in ISO 8601 format."},"rssiAvg":{"type":"number","description":"The received signal strength of the wireless device. -70dBm to -80dBm is good. <-90dBm is bad."},"productionGoodCount":{"type":"number","description":"The number of good quality units produced."},"productionBadCount":{"type":"number","description":"The number of bad quality units produced."},"productionIdealCount":{"type":"number","description":"The number of production units that should have been produced according to the SKU/part's cycle-time. WITH consideration for downtime."},"productionTargetCount":{"type":"number","description":"The number of production units that should have been produced according to the SKU/part's cycle-time. WITHOUT consideration for downtime."},"speed":{"type":"number","description":"The average line speed. Line speed is an arbitrary value that relates to this station's manufacturing process. i.e. Motor RPM."},"isAlive":{"type":"boolean","description":"A boolean value indicating if any signal was recieved from this station. Useful for detemining if the device has been disconnected from the network."},"electricalVoltsAvg":{"type":"number","description":"The average voltage of the electrical supply."},"electricalAmpsAvg":{"type":"number","description":"The average current draw."},"electricalHzAvg":{"type":"number","description":"The average frequency of the electrical supply."},"electricalPfAvg":{"type":"number","description":"The average Power Factor."},"electricalKwAvg":{"type":"number","description":"The average power used."},"electricalKwh":{"type":"number","description":"The total energy consumed."},"statusCode":{"type":"string","description":""},"electricalCost":{"type":"number","description":"The cost of the electricity used."},"costCurrency":{"type":"string","description":"The currency of any costs."},"electricalCo2":{"type":"number","description":"The amount of CO2 associated with the electricity used."},"workOrderReference":{"type":"string","description":"The work order reference of the current schedule."},"lostProductionCostNonProduction":{"type":"number","description":"The cost of the time lost to scheduled non-production."},"lostProductionCostDowntime":{"type":"number","description":"The cost of the time lost to downtime."},"lostProductionCostSpeed":{"type":"number","description":"The cost of the shortfall units lost due to under performance."},"lostProductionCostQuality":{"type":"number","description":"The cost of the bad quality units produced."},"performanceModeFrom":{"type":"string","description":""},"performanceModeType":{"type":"string","description":""},"productionGoodValue":{"type":"number","description":"The value of the good quality units produced."},"productionBadValue":{"type":"number","description":"The value of the bad quality units produced."},"stationName":{"type":"string","description":"The name of the station."},"scheduleIds":{"type":"array","items":{"type":"number"},"description":"The IDs of the schedules that ran."},"errorCodes":{"type":"array","items":{"type":"string"},"description":"The error codes that were flagged."},"downtimeIds":{"type":"array","items":{"type":"number"},"description":"The IDs of the downtimes that occured."},"downtimeReasonCodes":{"type":"array","items":{"type":"string"},"description":"The reason codes of the downtimes that occured."},"nonProductionReasonCodes":{"type":"array","items":{"type":"string"},"description":"The reason codes for the non-production schedules that ran."},"windowStartAtTimestamp":{"type":"number","description":"The start time of this window as a UNIX timestamp."},"windowEndAtTimestamp":{"type":"number","description":"The end time of this window as a UNIX timestamp."},"isFuture":{"type":"boolean","description":"A boolean value indicating if this is a placeholder station window for future time."},"skuName":{"type":"string","description":"The name of the SKU from the current schedule."},"skuCodes":{"type":"array","items":{"type":"string"},"description":"The code of the SKUs from the schedules that ran."},"skuGroupCodes":{"type":"array","items":{"type":"string"},"description":"The code of the SKU Groups from the schedules that ran."},"lostProductionCostTotal":{"type":"number","description":"The total cost of lost production output."},"productionTotalCount":{"type":"number","description":"The total number of units produced, both good and bad."},"productionRatePerHour":{"type":"number","description":"The average rate of production in units per hour."},"productionRatePerHourIdeal":{"type":"number","description":"The ideal rate of production in units per hour."},"productionMs":{"type":"number","description":"The number of milliseconds of actual production achieved (production count * ideal cycle time)."},"nonProductionReasonNames":{"type":"array","items":{"type":"string"}}},"required":["windowStartAt","windowEndAt","totalMs","isAlive","windowStartAtTimestamp","windowEndAtTimestamp"]}}},"paths":{"/station-window/sku":{"get":{"tags":["Station Window"],"parameters":[{"in":"query","name":"plantcode","schema":{"type":"string","minLength":1},"required":true},{"in":"query","name":"rangecode","schema":{"type":"string"},"required":true},{"in":"query","name":"stationcodes","description":"Comma-separated list of Station Codes.","schema":{"type":"string","description":"Comma-separated list of Station Codes."}}],"responses":{"200":{"description":"200 OK","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean"},"results":{"type":"array","items":{"type":"object","properties":{"skuCode":{"type":"string"},"skuName":{"type":"string"},"windows":{"type":"array","items":{"$ref":"#/components/schemas/StationWindow"}},"cycleTimeAnalysis":{"type":"object","properties":{"avg":{"type":"number"},"min":{"type":"number"},"max":{"type":"number"},"quantity":{"type":"number"},"default":{"type":"number"},"stations":{"type":"array","items":{"type":"object","properties":{"stationCode":{"type":"string"},"stationName":{"type":"string"},"avg":{"type":"number"},"min":{"type":"number"},"max":{"type":"number"},"quantity":{"type":"number"}},"required":["stationCode","stationName","avg","min","max","quantity"]}}},"required":["avg","min","max","quantity","stations"]}},"required":["skuCode","windows"]}},"range":{"type":"object","properties":{"from":{"type":"number"},"to":{"type":"number"},"duration":{"type":"number"},"fromIso":{"type":"string"},"toIso":{"type":"string"},"durationFormatted":{"type":"string"}},"required":["from","to","duration","fromIso","toIso","durationFormatted"]}},"required":["isSuccess","results","range"]}}}},"400":{"description":"Bad Request - The server could not process the request due to invalid input, missing required parameters, or malformed syntax.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"invalidInput"},"errorMessage":{"type":"string"},"details":{"type":"array","items":{"type":"object","properties":{"field":{"type":"string"},"issue":{"type":"string"}},"required":["field","issue"]}}},"required":["isSuccess","errorCode"]}}}},"401":{"description":"Unauthorized - Authentication is missing or invalid. Ensure you provide a valid token or credentials to access this resource.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"unauthorizedUser"}},"required":["isSuccess","errorCode"]}}}},"403":{"description":"Forbidden - You are authenticated but do not have permission to perform this action. Contact the administrator if you believe this is an error.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"forbidden"},"errorMessage":{"type":"string"}},"required":["isSuccess","errorCode","errorMessage"]}}}},"409":{"description":"Conflict - The request could not be completed due to a conflict with the current state of the resource, such as a duplicate record or a versioning issue.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"conflict"},"errorMessage":{"type":"string"}},"required":["isSuccess","errorCode","errorMessage"]}}}},"500":{"description":"Internal Server Error - An unexpected error occurred on the server. Please try again later or contact support if the issue persists.","content":{"application/json":{"schema":{"type":"object","properties":{"isSuccess":{"type":"boolean","default":false},"errorCode":{"type":"string","default":"internalServerError"},"errorMessage":{"type":"string"}},"required":["isSuccess","errorCode","errorMessage"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.output.industries/technical-onboarding/integration/http-api-reference/station-window.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
